[package]
name = "staking_watchdog"
version = "0.1.0"
authors = ["Greg Burri <greg.burri@gmail.com>"]
edition = "2021"

[dependencies]
anyhow = "1.0"
itertools = "0.13"

reqwest = { version = "0.12", features = [
    "blocking",
    "json",
], default-features = false }

lettre = { version = "0.11", features = [
    "rustls-tls",
    "smtp-transport",
    "builder",
], default-features = false }

serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
ron = "0.8"                                        # Rust object notation, to load configuration files.

[profile.release]
codegen-units = 1
lto = true
strip = true
panic = 'abort'
